@font-face {
  font-family: "Open Sans";
  src: url("/assets/fonts/OpenSans-Bold.ttf") format("ttf"),
    url("/assets/fonts/OpenSans-BoldItalic.ttf") format("ttf"),
    url("/assets/fonts/OpenSans-ExtraBold.ttf") format("ttf"),
    url("/assets/fonts/OpenSans-Italic.ttf") format("ttf"),
    url("/assets/fonts/OpenSans-Light.ttf") format("ttf"),
    url("/assets/fonts/OpenSans-LightItalic.ttf") format("ttf"),
    url("/assets/fonts/OpenSans-Regular.ttf") format("ttf"),
    url("/assets/fonts/OpenSans-SemiBold.ttf") format("ttf"),
    url("/assets/fonts/OpenSans-SemiBoldItalic.ttf") format("ttf");
}

*,
::after,
::before {
  box-sizing: border-box;
}

body,
html {
  height: 100%;
}

@media screen and (min-width: 992px) {
  #home {
    background-attachment: fixed;
  }
  .mobile-nav-toggle {
    display: none !important;
  }
}

@media screen and (max-width: 992px) {
  #main,
  footer {
    margin-left: 0 !important;
  }

  .header-mobile {
    left: -300px !important;
  }

  .header-mobile-active {
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    width: 100%;
    transition: all ease-in-out 0.5s;
    z-index: 9997;
    padding: 0 15px;
    background: #040b14;
    overflow-y: auto;
  }
  .download {
    position: absolute;
    color: white;
    top: 690px;
    padding: 12px 15px;
    font-size: 15px;
  } 
}

@media screen and (max-width: 1199px) {
  .home_content h1 {
    font-size: 30px;
  }
  #home .text_taped {
    font-size: 20px !important;
  }
  .ml11 .line {
    height: 0 !important;
  }
}

*/ body {
  margin: 0;
  padding: 0;
  color: #272829;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
}

a {
  text-decoration: none;
}

.mobile-nav-toggle {
  position: fixed;
  right: 15px;
  top: 15px;
  z-index: 9998;
  border: 0;
  font-size: 24px;
  transition: all ease-in-out 0.5s;
  background-color: #149ddd;
  color: #fff;
  width: 40px;
  height: 40px;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  line-height: 0;
  border-radius: 50px;
  cursor: pointer;
}

.header-mobile {
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  width: 300px;
  transition: all ease-in-out 0.5s;
  z-index: 9997;
  padding: 0 15px;
  background: #040b14;
  overflow-y: auto;
}

#header .profile img {
  margin: 15px auto;
  display: block;
  width: 120px;
  border: 8px solid #2c2f3f;
}

#header .profile h1 {
  font-size: 24px;
  margin: 0;
  padding: 0;
  font-weight: 600;
  -moz-text-align-last: center;
  text-align-last: center;
}

#header .profile .social_networks a {
  font-size: 18px;
  display: inline-block;
  background: #212431;
  color: #fff;
  line-height: 1;
  padding: 8px 0;
  margin-right: 4px;
  border-radius: 50%;
  text-align: center;
  width: 36px;
  height: 36px;
  transition: 0.3s;
}

#header .profile .social_networks a:hover {
  background: #149ddd;
  color: #fff;
  text-decoration: none;
  transition: all ease-in-out 0.5s;
}

.nav-menu {
  padding: 30px 0 0 0;
}

.nav-menu > ul > li {
  position: relative;
  white-space: nowrap;
}

.nav-menu a:hover,
.nav-menu .active,
.nav-menu .active:focus,
.nav-menu li:hover > a {
  text-decoration: none;
  color: #fff;
  transition: all ease-in-out 0.5s;
}

.nav-menu a,
.nav-menu a:focus {
  display: flex;
  align-items: center;
  color: #a8a9b4;
  padding: 12px 15px;
  margin-bottom: 8px;
  transition: 0.3s;
  font-size: 15px;
}

.nav-menu a i,
.nav-menu a:focus i {
  font-size: 24px;
  padding-right: 8px;
  color: #6f7180;
}

.nav-menu a:hover i,
.nav-menu .active i,
.nav-menu .active:focus i {
  color: #149ddd;
  transition: all ease-in-out 0.5s;
}

#home {
  width: 100%;
  height: 100vh;
  background-image: url("../images/background.jpg");
  background-position: 50% 100%;
  background-size: cover;
}

section {
  padding: 60px 0;
  overflow: hidden;
}

#home .home_content {
  position: relative;
  z-index: 2;
  min-width: 300px;
}

.ml11 {
  font-weight: 700;
  font-size: 3.5em;
  color: #fff;
}

.ml11 .text-wrapper {
  position: relative;
  display: inline-block;
  padding-top: 0.1em;
  padding-right: 0.05em;
  padding-bottom: 0.15em;
}

.ml11 .line {
  opacity: 0;
  position: absolute;
  left: 0;
  height: 100%;
  width: 3px;
  background-color: #fff;
  transform-origin: 0 50%;
}

.ml11 .line1 {
  top: 0;
  left: 0;
}

.ml11 .letter {
  display: inline-block;
  line-height: 1em;
}

#home .content_taped {
  height: 100%;
  width: 100%;
  justify-content: center;
  align-items: center;
  display: flex;
}

#home .text_taped {
  font-weight: 100;
  font-size: 28px;
  color: #fafafa;
}

#main,
footer {
  margin-left: 300px;
}

.section_title {
  padding-bottom: 30px;
}

.section_title h2 {
  font-size: 32px;
  font-weight: bold;
  margin-bottom: 20px;
  padding-bottom: 20px;
  position: relative;
  color: #173b6c;
}

.section_title h2::after {
  content: "";
  position: absolute;
  display: block;
  width: 50px;
  height: 3px;
  background: #149ddd;
  bottom: 0;
  left: 0;
}

.section_title p {
  margin-bottom: 0;
}

.section_text {
  margin-top: 40px;
  margin-bottom: 40px;
}

#about .content h3 {
  font-weight: 700;
  font-size: 26px;
  color: #173b6c;
}

#about .content ul {
  list-style: none;
  padding: 0;
}

#about .content ul li {
  margin-bottom: 20px;
  display: flex;
  align-items: center;
  flex-wrap: wrap;
}

#about .content ul strong {
  margin-right: 10px;
}

#about .container i {
  font-size: 16px;
  margin-right: 5px;
  color: #149ddd;
  line-height: 0;
}

#about img,
#header img {
  box-shadow: 0 0 24px 0 rgb(0 0 0 / 12%);
}

#skills h3 {
  font-size: 26px;
  font-weight: 700;
  margin-bottom: 30px;
  color: #050d18;
}

#resume .resume_title {
  font-size: 26px;
  font-weight: 700;
  margin-bottom: 30px;
  color: #050d18;
}

#resume .resume_content h5 {
  font-size: 16px;
  background: #e4edf9;
  padding: 5px 15px;
  display: inline-block;
  font-weight: 600;
  margin-bottom: 10px;
}

#resume .resume_content {
  padding: 0 0 20px 20px;
  margin-top: -2px;
  border-left: 2px solid #1f5297;
  position: relative;
}

#resume .resume_content::before {
  content: "";
  position: absolute;
  width: 16px;
  height: 16px;
  border-radius: 50px;
  left: -9px;
  top: 0;
  background: #fff;
  border: 2px solid #1f5297;
}

#resume .resume_content h4 {
  line-height: 18px;
  font-size: 18px;
  font-weight: 600;
  text-transform: uppercase;
  color: #050d18;
  margin-bottom: 10px;
}

#resume .resume_content ul {
  padding-left: 20px;
}

#resume .resume_content li {
  padding-bottom: 10px;
}

#resume .resume_content:last-child {
  padding-bottom: 0;
}

#projects #filtres {
  padding: 0;
  margin: 0 auto 35px auto;
  list-style: none;
  text-align: center;
  background: #fff;
  border-radius: 50px;
  padding: 2px 15px;
}

#projects #filtres li {
  cursor: pointer;
  display: inline-block;
  padding: 10px 15px 8px 15px;
  font-size: 14px;
  font-weight: 600;
  line-height: 1;
  text-transform: uppercase;
  color: #272829;
  margin-bottom: 5px;
}

#projects #filtres li:hover,
#projects #filtres li.filter.active {
  color: #149ddd;
}

#projects #filtres li:last-child {
  margin-right: 0;
}

#projects .filter-item {
  margin-bottom: 30px;
}

#projects .projects_wrap {
  transition: 0.3s;
  position: relative;
  overflow: hidden;
  z-index: 1;
  box-shadow: 0 0 24px 0 rgb(0 0 0 / 12%);
}

#projects .projects_wrap::before {
  content: "";
  background: rgba(255, 255, 255, 0.5);
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  transition: all ease-in-out 0.3s;
  z-index: 2;
  opacity: 0;
}

#projects .projects_wrap:hover::before {
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  opacity: 0.5;
}

#projects .projects_wrap .projects_link {
  opacity: 1;
  left: 0;
  right: 0;
  bottom: -60px;
  z-index: 3;
  position: absolute;
  transition: all ease-in-out 0.3s;
  display: flex;
  justify-content: center;
}

#projects .projects_wrap:hover .projects_link {
  opacity: 1;
  bottom: 0%;
}

#projects .projects_wrap .projects_link a {
  color: #fff;
  font-size: 28px;
  text-align: center;
  background: rgba(20, 157, 221, 0.75);
  transition: 0.3s;
  width: 100%;
}

#projects .projects_wrap .projects_link a:hover {
  background: rgba(20, 157, 221, 0.85);
}

#contact {
  padding-bottom: 0;
}

#contact .info {
  padding: 30px;
  background: #fff;
  width: 100%;
  box-shadow: 0 0 24px 0 rgb(0 0 0 / 12%);
}

#contact .info i {
  font-size: 20px;
  color: #149ddd;
  float: left;
  width: 44px;
  height: 44px;
  background: #dff3fc;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50px;
  transition: all 0.3s ease-in-out;
}

#contact .info i:hover {
  color: #fff;
  background: rgb(4, 150, 247);
}

#contact .info h4 {
  padding: 0 0 0 60px;
  font-size: 22px;
  font-weight: 600;
  margin-bottom: 5px;
  color: #050d18;
}

#contact .info p {
  padding: 0 0 10px 60px;
  margin-bottom: 20px;
  font-size: 14px;
  color: #173b6c;
}

#contact .php_email_form {
  width: 100%;
  padding: 30px;
  background: #fff;
  box-shadow: 0 0 24px 0 rgb(0 0 0 / 12%);
}

#contact .php_email_form .form-group {
  margin-bottom: 15px;
  padding-bottom: 8px;
}

#contact .php_email_form label {
  padding-bottom: 8px;
}

#contact .php_email_form input {
  height: 44px;
}

#contact .php_email_form input,
#contact .php_email_form textarea {
  border-radius: 0;
  box-shadow: none;
  font-size: 14px;
}
#contact .php_email_form textarea {
  padding: 10px 15px;
}

#contact .php_email_form button[type="submit"] {
  background: #149ddd;
  border: 0;
  padding: 10px 24px;
  color: #fff;
  transition: 0.4s;
  border-radius: 4px;
}

#contact .php_email_form button[type="submit"]:hover {
  background: #37b3ed;
}

.back-to-top.active {
  visibility: visible;
  opacity: 1;
}

.back-to-top {
  position: fixed;
  visibility: hidden;
  opacity: 0;
  right: 15px;
  bottom: 15px;
  z-index: 996;
  background: #149ddd;
  width: 40px;
  height: 40px;
  border-radius: 50px;
  transition: all 0.4s;
}

.back-to-top i {
  font-size: 28px;
  color: #fff;
  line-height: 0;
}

.back-to-top:hover {
  background: #2eafec;
  color: #fff;
}

.mobile-nav-toggle:hover {
  background: #2eafec;
  color: #fff;
}

.card {
  flex: 1 1 180px;
  max-width: 180px;
  border-radius: 4px;
  position: relative;
  margin: 10px auto;
  perspective: 1000px;
  border: none;
  background-color: #f8f9fa;
}

.card .card-inner-htmlcss,
.card .card-inner-js,
.card .card-inner-php,
.card .card-inner-wp,
.card .card-inner-react,
.card .card-inner-symfony {
  position: relative;
  width: 100%;
  height: 300px;
  text-align: center;
  transition: transform 0.8s;
  transform-style: preserve-3d;
}

.card:hover .card-inner-htmlcss,
.card:hover .card-inner-js,
.card:hover .card-inner-php,
.card:hover .card-inner-wp,
.card:hover .card-inner-react,
.card:hover .card-inner-symfony {
  transform: rotateY(180deg);
}

.card-front-htmlcss,
.card-back-htmlcss,
.card-front-js,
.card-back-js,
.card-front-php,
.card-back-php,
.card-front-wp,
.card-back-wp,
.card-front-react,
.card-back-react,
.card-front-symfony, 
.card-back-symfony {
  position: absolute;
  width: 100%;
  height: 100%;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
}

.card-front-htmlcss,
.card-back-htmlcss {
  border-top: 4px solid #de5025;
  background: linear-gradient(135deg, #f9ded6, #f5ccc0);
  border-color: #de5025;
}

.card-front-js,
.card-back-js {
  border-top: 4px solid rgba(230, 230, 8, 0.762);
  background: linear-gradient(135deg, #eded0f2e, #eded0f2e);
  border-color: rgba(230, 230, 8, 0.762);
}

.card-front-php,
.card-back-php {
  border-top: 4px solid #9425decd;
  background: linear-gradient(135deg, #8104e72c, #8104e72c);
  border-color: #9425decd;
}

.card-front-wp,
.card-back-wp {
  border-top: 4px solid #a7a4a9cd;
  background: linear-gradient(135deg, #acaaad57, #9b9a9c59);
  border-color: #a7a4a9cd;
}

.card-front-react,
.card-back-react {
  border-top: 4px solid #0d83e3b6;
  background: linear-gradient(135deg, #0494e72c, #0494e72c);
  border-color: #0d83e3b6;
}

.card-front-symfony,
.card-back-symfony {
  border-top: 4px solid #0c0c0ccb;
  background: linear-gradient(135deg, #1a19195e, #0000007e);
  border-color: #0c0c0ccb;
}

.card-back-htmlcss,
.card-back-js,
.card-back-php,
.card-back-wp,
.card-back-react,
.card-back-symfony {
  align-items: center;
  justify-content: center;
  color: black;
  transform: rotateY(180deg);
  padding: 5px;
}

.card-back-htmlcss ul,
.card-back-js ul,
.card-back-php ul,
.card-back-wp ul,
.card-back-react ul,
.card-back-symfony ul {
  list-style-type: "\1F44D";
  padding-left: 20px;
}

.card .card-logo-container {
  height: 75px;
}
.card .card-logo-container .skill-logo {
  text-align: center;
}
.card .card-logo-container .skill-logo img {
  width: auto;
  height: 60px;
  margin-top: 20px;
}
.card .card-content h3 {
  font-size: 1.6rem;
  text-align: center;
  margin-top: 30px;
  margin-bottom: 10px;
}
.card .card-content p {
  font-size: 1.2rem;
}
.card .card-content .caption {
  padding-top: 15px;
  font-size: 0.9rem;
}

.download {
  position: absolute;
  color: white;
  bottom: 0;
  padding: 12px 15px;
  font-size: 15px;
}

.download a {
  color: white;
  text-decoration: none;
}

.margin-icon {
  padding-left: 8px;
}
